古い本を処分しました

投稿先:asoblog2.iiyan.net

JUGEMテーマ:日記・一般

 

IT業界に身を置くようになって、そろそろ30年ほど経ちました。

 

もう先も短いなと最近思っていますが、身の回りも片付けないとということで、古い本を一部処分しました。

中途半端に古い本は、結構処分済みだったのですが、なぜか初期のころに買った本って残っていたりするんですよね。

 

本棚の奥に眠っていた、ResEditの本やCodeWarriorの本を捨てました。

今はもう昔のもので、これからも使うことがないだろうに、なんとなく捨てられずに残っていたんですね。

 

さて、どのくらいの人が知っているのでしょうか。

 

ただ、まだ手元にAppleのLC630があるので、使おうと思えば使えるんですけどね。

 

もう何年も電源を入れることがないですね。

 

ちなみに、HyperCardの本がまだ残っているのですが・・・

Composer dependencies require a PHP version “>= 8.0.2”.

投稿先:tips.iiyan.net

ローカル環境にLaravelをComposerでインストールすると、「Composer dependencies require a PHP version “>= 8.0.2”.」というエラーが […]

タグ: PHP Composer Laravel

Composer dependencies require a PHP version “>= 8.0.2”.

投稿先:tips.iiyan.net

ローカル環境にLaravelをComposerでインストールすると、「Composer dependencies require a PHP version “>= 8.0.2”.」というエラーが […]

タグ: PHP Composer Laravel

久しぶりにSweetCronを確認しました

投稿先:asoblog2.iiyan.net

JUGEMテーマ:インターネット

 

うちのサイトで使っているのですが、SweetCronってご存じでしょうか?

10年ちょい前にライフログツールとして公開されていたシステムです。

 

コンセプトが面白いなと思って、自分のサイトで利用していたのですが、残念ながらもうかなり前に開発を終了していました。

それでも、しばらく前までは何とかつかえていたのですが、使っているサーバーのPHPがVer7に上がってしまったことで、とうとう動かなくなってしまいました。

同じようなシステムで、Xoopsというのがありますが、これも使用していたのですが動かなくなりました。

Xoopsは、もうあきらめたのですが、SweetCron位の規模なら改修できるかなということで改修してみました。

 

いまでは、動くようになったところです。

まだ少しバグがありそうなので、もう少しテストしてみてから、ソースを公開しようかなと思っているところです。

タグ: WEB

DiskInfo

投稿先:blog.livedoor.jp

DiskInfo です。 名前の通り、ディスクの情報を表示してくれるツールです。 毎日使うようなツールではないのですが、たまに使います。 私の場合は、ドライブの容量がなくなってきたときに、どのファイルが容量を食っているのかを調べるのに使用しています。 結構便利なんですよね。エレコム USBメモリ 64GB USB3.2(Gen1) ノック式 ブラック MF-PKU3064GBK/Eエレコム2021-04-13

タグ: 日常

今一番はまっているマンガ

投稿先:ameblo.jp

 ドンケツ (1)Amebaマンガ 今一番はまっているマンガです。 なんなんでしょうね、キャラが生きてます。それぞれのキャラの性格がしっかりと出来上がっていて、ドラマを見ているような感じで読んでいるような気がします。やくざ漫画なんですが、任侠漫画のような感じもあり、ちょっと説明が難しいです。魅力的なキャラが多いですが、個人的には宮本会長が好きです。

相変わらず電源を落とせない

投稿先:ameblo.jp

コロナはなかなか収束しませんね。 大阪は緊急事態宣言がでているので、仕事がしにくいです。テレワークの方が都合いいことも多いのですが、客先訪問なんかは、なかなかいけません。自分自身もかかりたくないし、もしも自分がかかっているとしたら、相手に移す可能性は否定できないし。そう考えると、どこにも行けません。皆さん同じでしょうが、早く何とかなってほしいものです。 さて、昨年から調子の悪かったノートPCですが、相変わらずスリープもシャットダウンもできません。ただ、再起動はできるんですね。おそらく、電源が悪いのでしょうか。どうも、再起動直後だけは、問題なくシャットダウンできるようです。一時は、再起動してからシャットダウンしていたのですが、面倒なので、最近は以下のような落とし方をしています。電源を抜いて、再起動して放置。そうすると、ある程度の時間がたつとスリープするんですね。 もしかすると、よく使う何かのアプリか、ドライバが原因なのかもしれません。

あっちゅうまに

投稿先:ameblo.jp

4連休も、あっちゅうまに半分終わってしまいました。 有意義だったかというと、全くそんなことはなく、特に何もすることなく過ぎていったかなという感じです。 他の人はどうなんですしょうかね。 ああ、そういえば先日からずっとノートPCと格闘しています。なぜか、スリープもシャットダウンもできなくなりました・・・・ バッテリがなくなるのを待つか、強制終了しかできない状態です。 設定を確認したり、放電してみたり、ドライバを入れ替えてみたりするも、改善せず・・・ 時期的に見て、Windows Updateを疑っているのですが・・・ 

flutter doctor のwarningがうまく取れない

投稿先:asoblog2.iiyan.net

JUGEMテーマ:コンピュータ

 

気が付くと、かなり長いこと投稿していないようで・・・・

 

さて、flutterを使ってみようかと思い立ち、古いflutterを一度削除して再インストールしてみたものの

なかなかうまくいかなかった話です。

小ネタかな。

 

flutterをインストールし、以下のコマンドでチェックしてみました。

>flutter doctor

 

色んな開発環境が古くなっていたり、削除したりしていたので軒並み警告がでたのですが

大概は環境を新しくしたらクリアできました。

 

ただ、以下だけ少し手こずりましたので、今後のために記録しておきたいと思います。

Android toolchain - develop for Android devices (Android SDK version 30.0.1)     X Android license status unknown.

 

Android SDKを、警告のバージョンにしてみても改善せず、ググってみると、どうやらライセンスがうまく読み込めていないとのこと。

 

このように、以下のようなコマンドでよいとのこと。

>flutter doctor --android-licenses

 

しかし、javaコマンドのエラーが出てしまいます。

Javaについては、1.8が必要らしく、確かに私の環境のJavaはもっと新しかったので、1.8をインストールしました。

java -versionで、1.8になっていることを確認して再実行するものの、状況は変わらず。

 

参考にした記事では、これで解決するはずなのですが・・・

 

結局、1.8のjavaコマンドが実行できるだけではダメなようで、私の環境では環境変数JAVA_HOMEの設定を

1.8の設定に変更することで成功するようになりました。

他のアプリに影響するといやなので、変更したくはなかったのですが・・・・

 

これでめでたく、flutter doctor --android-licenses が成功し、flutter doctorも成功するようになりましたとさ。

 

 

タグ: Android

1 2 3 4 5 6 7 8 9 10 ...137